<?php

/**
 * Plugin Name: Fupa.Net Widget Shortcode
 * Description: Allows people to embed Fupa.net-Widgets with the WYSIWYG-Editor. Usage [fupanet id="{Widget ID}" header="{1/0}" navi="{1/0}" show="{team/statistik/spielplan/tabelle/torschuetzen/archiv}"] (only id required)
 * Version: 0.1
 * Author: Darius BrÃ¼ckers
 * Author URI: http://darius.brueckers.de
 */

 
// Add Shortcode
function fupanet_shortcode( $atts ) {

	// Attributes
	extract( shortcode_atts(
		array(
			'id' => '',
			'header' => '0',
			'navi' => '1',
			'show' => 'team',
			'cosmetic' => 'all, hide-footer'
		), $atts )
	);

	if (empty($id)) {
		return '<span style="color: #ff0000;">Fupa.net Widget Error 1: Missing Attribute "ID"</span><br>';
	}
	// Code
	else {
		$fupa_code = '
<!-- START Fupa.Net-Widget -->
<script type="text/javascript" src="http://www.fupa.net/fupa/widget.js"></script>
<div id="start">... lade FuPa Widget ...
	<script type="text/javascript">
		var fupa_widget_header = ' . $header . ';
		var fupa_widget_navi = ' . $navi . ';
		team_widget(' . $id . ',"' . $show . '");
	</script>
</div>
<!-- END Fupa.Net-Widget -->';


		if ($cosmetic !== '') {
			$fupa_code .= '
<!-- START Fupa.Net-Widget-Cosmetic -->
<script type="text/javascript">
	jQuery(window).bind("load", function() {';
			if ((strpos($cosmetic, 'hide-footer') !== false) || (strpos($cosmetic, 'all') !== false)) {
				$fupa_code .= '
		jQuery("#start").find("div").eq(4).html("");';
			}
			$fupa_code .= '
	});
</script>
<!-- END Fupa.Net-Widget-Cosmetic -->';
		};
		


		return $fupa_code;
	}

}
add_shortcode( 'fupanet', 'fupanet_shortcode' );


//MCE Button
function register_button( $buttons ) {
   array_push( $buttons, "|", "fupanet" );
   return $buttons;
}

function add_plugin( $plugin_array ) {
   $plugin_array['fupanet'] = plugins_url( 'fupanet-mce.js' , __FILE__ );
   return $plugin_array;
}

function my_fupanet_button() {
   if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') ) {
      return;
   }
   if ( get_user_option('rich_editing') == 'true' ) {
      add_filter( 'mce_external_plugins', 'add_plugin' );
      add_filter( 'mce_buttons', 'register_button' );
   }
}

add_action('init', 'my_fupanet_button');
?>